import { useFramework } from '../useFramework';
/**
 * React Hook - get appProvider interface
 * @returns framework AppModule
 */
export const useAppProvider = () => {
    const provider = useFramework().modules.app;
    if (!provider) {
        throw Error('Current framework does not have AppModule configured');
    }
    return provider;
};
export default useAppProvider;
//# sourceMappingURL=useAppProvider.js.map